package com.nisum.epe.demo.controller;


import com.nisum.epe.demo.model.Offer;
import com.nisum.epe.demo.service.OfferService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class OfferDemoController {

    @Autowired
    private OfferService offerService;

    @GetMapping("/getOffers")
    public List<Offer> getAllOffers(){
        return offerService.getAllOffers();
    }
}
